cdac.medinfo.sdk.hl7282.utils

## Enum EnumAcknowledgmentCode

- java.lang.Object
- - java.lang.Enum<EnumAcknowledgmentCode>
  - - cdac.medinfo.sdk.hl7282.utils.EnumAcknowledgmentCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumAcknowledgmentCode>

      public enum EnumAcknowledgmentCode
      extends java.lang.Enum<EnumAcknowledgmentCode>

  This enum represents the acknowledgment code for Message Processing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION_ACCEPT` Enum Code for Application Accept.
    `APPLICATION_ERROR` Enum Code for Application Error
    `APPLICATION_REJECT` Enum code for Application Reject
    `COMMIT_ACCEPT` Enum code for Commit Accept
    `COMMIT_ERROR` Enum code Commit Error
    `COMMIT_REJECT` Enum code Commit Reject

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumAcknowledgmentCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumAcknowledgmentCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION_ACCEPT

          public static final EnumAcknowledgmentCode APPLICATION_ACCEPT

      Enum Code for Application Accept.

    - #### APPLICATION_ERROR

          public static final EnumAcknowledgmentCode APPLICATION_ERROR

      Enum Code for Application Error

    - #### APPLICATION_REJECT

          public static final EnumAcknowledgmentCode APPLICATION_REJECT

      Enum code for Application Reject

    - #### COMMIT_ACCEPT

          public static final EnumAcknowledgmentCode COMMIT_ACCEPT

      Enum code for Commit Accept

    - #### COMMIT_ERROR

          public static final EnumAcknowledgmentCode COMMIT_ERROR

      Enum code Commit Error

    - #### COMMIT_REJECT

          public static final EnumAcknowledgmentCode COMMIT_REJECT

      Enum code Commit Reject

  - ### Method Detail

    - #### values

          public static EnumAcknowledgmentCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumAcknowledgmentCode c : EnumAcknowledgmentCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumAcknowledgmentCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Value Type .